import request from '@/utils/system/request'

// 查询App用户列表
export function getUserList(params) {
    return request({
        url: '/user/channelUser',
        method: 'get',
        params
    })
}

/* 
创建下一级渠道用户
 confirmPwd	确认密码		false	
 nickName	用户昵称		true	
 password	用户密码		false	
 phone	用户账号
 */
export function createNextLevelChannelUser(data) {
    return request({
        url: '/user/createNextLevelChannelUser',
        method: 'post',
        data
    })
}

/* 
 获取邀请码下的用户
 loginTimeEnd	登录时间结束 格式: yyyy-MM-dd 23:59:59	query	false	
 loginTimeStart	登录时间开始 格式: yyyy-MM-dd 00:00:00	query	false	
 nickName	用户昵称	query	false	
 pageNum	页码 默认1	query	false	
 pageSize	条数 默认10	query	false	
 phone	用户手机号	query	false	
 */
export function invitationCodeUser(params) {
    return request({
        url: '/user/invitationCodeUser',
        method: 'get',
        params
    })
}
/* 
 下级渠道商
 loginTimeEnd	登录时间结束 格式: yyyy-MM-dd 23:59:59	query	false	
 loginTimeStart	登录时间开始 格式: yyyy-MM-dd 00:00:00	query	false	
 nickName	用户昵称	query	false	
 pageNum	页码 默认1	query	false	
 pageSize	条数 默认10	query	false	
 phone	用户手机号	query	false	
 */
export function nextLevelChannelUser(params) {
    return request({
        url: '/user/nextLevelChannelUser',
        method: 'get',
        params
    })
}

/* 
 密码重置
 targetUserId
 */
export function passwordReset(params) {
    return request({
        url: '/user/passwordReset',
        method: 'get',
        params
    })
}

/* 
 修改密码
 confirmPwd	确认密码	query	true	
 password	新密码
 */
export function updatePassword(params) {
    return request({
        url: '/user/updatePassword',
        method: 'get',
        params
    })
}
/** 获取用户信息Api */
export function orderPageList(params) {
  return request({
    url: '/order/pageList',
    method: 'get',
    params
  })
}

/** 获取订单类型 */
export function allOrderType(params) {
  return request({
    url: '/order/allOrderType',
    method: 'get',
    params
  })
}

/** 获取账户订单收益配置  userId	用户id */
export function getOrderConfig(params) {
  return request({
    url: '/agencyConfig/getOrderConfig',
    method: 'get',
    params
  })
}

/** 保存账户订单收益配置 
 code	配置标识 订单配置: order		false	
 configParamList	配置参数		false	
	 code	配置标识 订单配置: order		false	
	 remark	备注		false	
	 type	配置类型 订单配置: 1充值 2提现 3购买 4下架 5购买会员 6发布任务 7加价 8加量 9退款		false	
	 value	比例值		false	
 userId	用户id		false	
 */
export function saveOrderConfig(data) {
  return request({
    url: '/agencyConfig/saveOrderConfig',
    method: 'post',
    data
  })
}
// export function getUserList(data) {
//     return request({
//         url: '/agent-service/appUser/getUserList',
//         method: 'post',
//         data
//     })
// }

// 查询用户广告数据统计列表
export function getStaticList(params) {
    return request({
        url: '/agent-service/appUser/staticList',
        method: 'get',
        params
    })
}

// 平台或渠道封禁用户
export function riskBannedUser(data) {
    return request({
        url: '/agent-service/risk/bannedUser',
        method: 'post',
        data
    })
}

// 锁定用户禁止用户登录
export function riskLockUser(params) {
    return request({
        url: '/agent-service/risk/lockUser',
        method: 'get',
        params
    })
}

// 查询渠道启用的应用列表
export function getEnabledList(params) {
    return request({
        url: '/agent-service/app/getEnabledList',
        method: 'get',
        params
    })
}

// 查询用户ecpm数据
export function appUserEcpm(data) {
    return request({
        url: '/agent-service/appUser/ecpm',
        method: 'post',
        data
    })
}

// 根据时间获取收益
export function getRevenueByTime(data) {
    return request({
        url: '/agent-service/appUser/getRevenueByTime',
        method: 'post',
        data,
        timeout: 60 * 1000
    })
}

// 批量审核用户
export function batchAudit(data) {
    return request({
        url: '/agent-service/appUser/batchAudit',
        method: 'post',
        data
    })
}

// 批量封禁用户
export function batchBanned(data) {
    return request({
        url: '/agent-service/risk/batchBanned',
        method: 'post',
        data
    })
}

// 批量解封用户
export function batchDeblock(data) {
    return request({
        url: '/agent-service/risk/batchDeblock',
        method: 'post',
        data
    })
}

// 获取IOS渠道列表
export function appUserGetDitchList(data) {
    return request({
        url: '/agent-service/appUser/getDitchList',
        method: 'post',
        data
    })
}

// 获取IOS用户列表
export function getUserForIosList(data) {
    return request({
        url: '/agent-service/appUser/getUserForIosList',
        method: 'post',
        data
    })
}

